
--SQL Script automatisch generiert von SuperX module_upgrade.xsl
-- Themenbaum fuellen
--freemarker template
CREATE temp TABLE tmp_themenbaum (
    tid integer NOT NULL,
    name varchar(255) NOT NULL,
    maskeninfo_id integer,
    parent integer,
    gueltig_seit date,
    gueltig_bis date,
    erlaeuterung character(240)
);

--zuerst die Themen
--nun die Masken
insert into tmp_themenbaum(tid,
       name,
       maskeninfo_id,
       gueltig_seit,
       gueltig_bis)
       select max(tid)+1,'Jobmonitor ausführen'::char(50),8000,
       date_val('01.01.1900'),date_val('30.09.2999')
       from themenbaum;
delete from tmp_themenbaum where 0 <
(select count(*) from themenbaum where maskeninfo_id=8000);
update tmp_themenbaum set parent=(select max(tid) from themenbaum where name='Administration');

insert into themenbaum( tid,
       name,
       maskeninfo_id,
       parent,
       gueltig_seit,
       gueltig_bis,
       erlaeuterung)
select  tid,
       name,
       maskeninfo_id,
       parent,
       gueltig_seit,
       gueltig_bis,
       erlaeuterung
       from tmp_themenbaum;
       
delete from tmp_themenbaum;


drop table tmp_themenbaum;
<#if SQLdialect='Postgres'>
--Postgres Dialekt:
select sp_update_sequence('themenbaum');
</#if>
