#!/bin/bash
#Synchronisierung webapp zum Zielserver
#Benutzer Variablen:
#REMOTE_HOST ->Ziel-Hostname
#REMOTE_USER ->Ziel-Benutzerkennung
#REMOTE_DIR -> Zielpfad

#TODO: in LOCAL_DIR gelöschte Dateien werden nicht im REMOTE_DIR gelöscht 

if [ "$LOCAL_DIR" = ""  ]
	then
		LOCAL_DIR=`pwd`
fi

if [ "$REMOTE_DIR" = ""  ]
	then
		REMOTE_DIR=$WEBAPP
fi

echo "Sync von $LOCAL_DIR nach $REMOTE_DIR"


if [ "$REMOTE_HOST" = ""  ]
	then
		rsync -L -rauvz  $LOCAL_DIR/superx/* $REMOTE_DIR
	else
		rsync -L -rauvz  -e ssh $LOCAL_DIR/superx/* "$REMOTE_USER"@"$REMOTE_HOST":$REMOTE_DIR
fi

